import request from '@/utils/request'

// 查询白名单列表列表
export function listWhitelist (query) {
  return request({
    url: '/deployment/whitelist/list',
    method: 'get',
    params: query
  })
}

// 查询白名单列表详细
export function getWhitelist (id) {
  return request({
    url: '/deployment/whitelist/' + id,
    method: 'get'
  })
}

// 新增白名单列表
export function addWhitelist (data) {
  return request({
    url: '/deployment/whitelist',
    method: 'post',
    data: data
  })
}

// 修改白名单列表
export function updateWhitelist (data) {
  return request({
    url: '/deployment/whitelist',
    method: 'put',
    data: data
  })
}

// 删除白名单列表
export function delWhitelist (id) {
  return request({
    url: '/deployment/whitelist/' + id,
    method: 'delete'
  })
}
